Data Ops
Overview
Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.
This guide provides a brief description of Data Ops service and how to call API.
The API is provided as a RESTful API, and it responds in JSON format.
Version
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Status | Not Before |
|---|
| 1.2 | CURRENT | - |
| 1.1 | DEPRECATED | 20260930 |
| 1.0 | DEPRECATED | 20260701 |
OpenAPI URL
https://data-ops.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
1 - APIs
1.1 - CheckClusterResourceSizeForDataOpsServiceCreate
1.1.1 - 1.2
post /v1/data-ops-services/clusters/{cluster_id}/validate-resources
Description
Validate Cluster Resource Size for Data Ops Service Creation.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | cluster_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
| body | body required |
| DataOpsServiceValidateResourceRequest | |
Responses
Example HTTP request
Request path
/v1/data-ops-services/clusters/{cluster_id}/validate-resources
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"
Request body
{
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}
1.1.2 - 1.1
post /v1/data-ops-services/clusters/{cluster_id}/validate-resources
Description
Validate Cluster Resource Size for Data Ops Service Creation.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | cluster_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
| body | body required |
| DataOpsServiceValidateResourceRequest | |
Responses
Example HTTP request
Request path
/v1/data-ops-services/clusters/{cluster_id}/validate-resources
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Request body
{
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}
1.1.3 - 1.0
post /v1/data-ops-services/clusters/{cluster_id}/validate-resources
Description
Validate Cluster Resource Size for Data Ops Service Creation.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | cluster_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
| body | body required |
| DataOpsServiceValidateResourceRequest | |
Responses
Example HTTP request
Request path
/v1/data-ops-services/clusters/{cluster_id}/validate-resources
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Request body
{
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}
1.2 - CheckClusterResourceSizeForDataOpsServiceUpdate
1.2.1 - 1.2
post /v1/data-ops-services/{data_ops_service_id}/validate-resources
Description
Validate Cluster Resource Size for Data Ops Service Update.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
| body | body required |
| DataOpsServiceValidateResourceRequest | |
Responses
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}/validate-resources
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"
Request body
{
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}
1.2.2 - 1.1
post /v1/data-ops-services/{data_ops_service_id}/validate-resources
Description
Validate Cluster Resource Size for Data Ops Service Update.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
| body | body required |
| DataOpsServiceValidateResourceRequest | |
Responses
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}/validate-resources
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Request body
{
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}
1.2.3 - 1.0
post /v1/data-ops-services/{data_ops_service_id}/validate-resources
Description
Validate Cluster Resource Size for Data Ops Service Update.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
| body | body required |
| DataOpsServiceValidateResourceRequest | |
Responses
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}/validate-resources
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Request body
{
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}
1.3 - CheckDataOpsNameDuplication
1.3.1 - 1.2
get /v1/data-ops/{data_ops_name}/check-duplication
Description
check duplication controller
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_name required | data ops name Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/{data_ops_name}/check-duplication
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"
Example HTTP response
Response 200
1.3.2 - 1.1
get /v1/data-ops/{data_ops_name}/check-duplication
Description
check duplication controller
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_name required | data ops name Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/{data_ops_name}/check-duplication
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
1.3.3 - 1.0
get /v1/data-ops/{data_ops_name}/check-duplication
Description
check duplication controller
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_name required | data ops name Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/{data_ops_name}/check-duplication
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
1.4 - CheckDataOpsServiceNameDuplication
1.4.1 - 1.2
get /v1/data-ops-services/{data_ops_service_name}/check-duplication
Description
check duplication controller
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_service_name required | data ops service name Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_name}/check-duplication
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"
Example HTTP response
Response 200
1.4.2 - 1.1
get /v1/data-ops-services/{data_ops_service_name}/check-duplication
Description
check duplication controller
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_service_name required | data ops service name Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_name}/check-duplication
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
1.4.3 - 1.0
get /v1/data-ops-services/{data_ops_service_name}/check-duplication
Description
check duplication controller
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_service_name required | data ops service name Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_name}/check-duplication
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
1.5 - CreateDataOps
1.5.1 - 1.2
post /v1/data-ops
Description
create dataops
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| body | body required |
| DataOpsCreateRequestV1Dot2 | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"data_ops_name": "",
"description": "",
"domain": "",
"dsc_domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"image_id": "",
"ingress_controller_name": "",
"instance_id": "",
"node_selector": "",
"storage_class_name": "",
"tags": [
{
"tag_key": "",
"tag_value": ""
}
]
}
Example HTTP response
Response 202
1.5.2 - 1.1
post /v1/data-ops
Description
create dataops
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| body | body required |
| DataOpsCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"data_ops_name": "",
"description": "",
"domain": "",
"dsc_domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"image_id": "",
"ingress_controller_name": "",
"instance_id": "",
"node_selector": "",
"storage_class_name": "",
"tags": [
{
"key": "Key",
"value": "Value"
}
]
}
Example HTTP response
Response 202
1.5.3 - 1.0
post /v1/data-ops
Description
create dataops
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| body | body required |
| DataOpsCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"data_ops_name": "",
"description": "",
"domain": "",
"dsc_domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"image_id": "",
"ingress_controller_name": "",
"instance_id": "",
"node_selector": "",
"storage_class_name": "",
"tags": [
{
"key": "Key",
"value": "Value"
}
]
}
Example HTTP response
Response 202
1.6 - CreateDataOpsService
1.6.1 - 1.2
post /v1/data-ops-services
Description
create dataops service
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| body | body required |
| DataOpsServiceCreateRequestV1Dot2 | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"data_ops_id": "",
"data_ops_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"node_selector": "",
"service_workload": {
"dag_processor": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
},
"storage_class_name": "",
"tags": [
{
"tag_key": "",
"tag_value": ""
}
],
"worker_type": ""
}
Example HTTP response
Response 202
1.6.2 - 1.1
post /v1/data-ops-services
Description
create dataops service
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| body | body required |
| DataOpsServiceCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"data_ops_id": "",
"data_ops_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"node_selector": "",
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
},
"storage_class_name": "",
"tags": [
{
"key": "Key",
"value": "Value"
}
],
"worker_type": ""
}
Example HTTP response
Response 202
1.6.3 - 1.0
post /v1/data-ops-services
Description
create dataops service
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| body | body required |
| DataOpsServiceCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"data_ops_id": "",
"data_ops_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"node_selector": "",
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
},
"storage_class_name": "",
"tags": [
{
"key": "Key",
"value": "Value"
}
],
"worker_type": ""
}
Example HTTP response
Response 202
1.7 - DeleteDataOps
1.7.1 - 1.2
delete /v1/data-ops/{data_ops_id}
Description
delete dataops v1
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/{data_ops_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"
Example HTTP response
Response 202
1.7.2 - 1.1
delete /v1/data-ops/{data_ops_id}
Description
delete dataops v1
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/{data_ops_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 202
1.7.3 - 1.0
delete /v1/data-ops/{data_ops_id}
Description
delete dataops v1
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/{data_ops_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 202
1.8 - DeleteDataOpsService
1.8.1 - 1.2
delete /v1/data-ops-services/{data_ops_service_id}
Description
delete data ops service
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"
Example HTTP response
Response 202
1.8.2 - 1.1
delete /v1/data-ops-services/{data_ops_service_id}
Description
delete data ops service
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 202
1.8.3 - 1.0
delete /v1/data-ops-services/{data_ops_service_id}
Description
delete data ops service
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 202
1.9 - ListDataOps
1.9.1 - 1.2
get /v1/data-ops
Description
{aianalytics.GetDataOpsListConsole.notes} v1.1
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| query | sort optional | sort Example : created_dt:desc
| string | created_dt:desc |
| query | cluster_name optional | cluster_name Example :
| string | None |
| query | created_by optional | created_by Example :
| string | None |
| query | state optional | state Example :
| enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING, STOPPED, STARTING, STOPPING, RESTARTING, TERMINATED, EDITING, DELETING, UNDEPLOYED) | None |
| query | version optional | version Example :
| string | None |
| query | size optional | size Example : 20
| integer | None |
| query | page optional | page Example : 0
| integer | None |
| query | cluster_id optional | cluster_id Example :
| string | None |
| query | data_ops_name optional | data_ops_name Example :
| string | None |
| query | region optional | region Example :
| string | None |
Responses
Example HTTP request
Request path
/v1/data-ops
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2024-01-15T10:30:00.000Z",
"data_ops_id": "",
"data_ops_name": "",
"image_id": "",
"instance_id": "",
"is_active_image": "",
"modified_by": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"namespace_name": "",
"state": "",
"version": ""
}
],
"total_count": ""
}
1.9.2 - 1.1
get /v1/data-ops
Description
{aianalytics.GetDataOpsListConsole.notes} v1.1
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| query | sort optional | sort Example : created_dt:desc
| string | created_dt:desc |
| query | cluster_name optional | cluster_name Example :
| string | None |
| query | created_by optional | created_by Example :
| string | None |
| query | state optional | state Example :
| enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING, STOPPED, STARTING, STOPPING, RESTARTING, TERMINATED, EDITING, DELETING, UNDEPLOYED) | None |
| query | version optional | version Example :
| string | None |
| query | size optional | size Example : 20
| integer | None |
| query | page optional | page Example : 0
| integer | None |
| query | cluster_id optional | cluster_id Example :
| string | None |
| query | data_ops_name optional | data_ops_name Example :
| string | None |
| query | region optional | region Example :
| string | None |
Responses
Example HTTP request
Request path
/v1/data-ops
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2024-01-15T10:30:00.000Z",
"data_ops_id": "",
"data_ops_name": "",
"image_id": "",
"instance_id": "",
"is_active_image": "",
"modified_by": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"namespace_name": "",
"state": "",
"version": ""
}
],
"total_count": ""
}
1.9.3 - 1.0
get /v1/data-ops
Description
{aianalytics.GetDataOpsListConsole.notes}
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| query | sort optional | sort Example : created_dt:desc
| string | created_dt:desc |
| query | cluster_name optional | cluster_name Example :
| string | None |
| query | created_by optional | created_by Example :
| string | None |
| query | state optional | state Example :
| enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING, STOPPED, STARTING, STOPPING, RESTARTING, TERMINATED, EDITING, DELETING, UNDEPLOYED) | None |
| query | version optional | version Example :
| string | None |
| query | size optional | size Example : 20
| integer | None |
| query | page optional | page Example : 0
| integer | None |
| query | cluster_id optional | cluster_id Example :
| string | None |
| query | data_ops_name optional | data_ops_name Example :
| string | None |
| query | region optional | region Example :
| string | None |
Responses
Example HTTP request
Request path
/v1/data-ops
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2024-01-15T10:30:00.000Z",
"data_ops_id": "",
"data_ops_name": "",
"image_id": "",
"instance_id": "",
"is_active_image": "",
"modified_by": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"namespace_name": "",
"state": "",
"version": ""
}
],
"total_count": ""
}
1.10 - ListDataOpsImageVersions
1.10.1 - 1.2
get /v1/data-ops/image-versions
Description
get dataops image version v1
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ImageVersionsResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/image-versions
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"
Example HTTP response
Response 200
{
"contents": [
{
"image_attr": {
"k8s.version": "",
"os.type": ""
},
"image_id": "",
"image_name": "",
"version": ""
}
],
"total_count": ""
}
1.10.2 - 1.1
get /v1/data-ops/image-versions
Description
get dataops image version v1
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ImageVersionsResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/image-versions
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"image_attr": {
"k8s.version": "",
"os.type": ""
},
"image_id": "",
"image_name": "",
"version": ""
}
],
"total_count": ""
}
1.10.3 - 1.0
get /v1/data-ops/image-versions
Description
get dataops image version v1
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ImageVersionsResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/image-versions
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"image_attr": {
"k8s.version": "",
"os.type": ""
},
"image_id": "",
"image_name": "",
"version": ""
}
],
"total_count": ""
}
1.11 - ListDataOpsIngressControllers
1.11.1 - 1.1
get /v1/data-ops/clusters/{cluster_id}/ingress-controllers
Description
get ingress controller list
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | cluster_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/clusters/{cluster_id}/ingress-controllers
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
1.11.2 - 1.0
get /v1/data-ops/clusters/{cluster_id}/ingress-controllers
Description
get ingress controller list
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | cluster_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/clusters/{cluster_id}/ingress-controllers
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
1.12 - ListDataOpsService
1.12.1 - 1.2
get /v1/data-ops-services
Description
GetDataOpsServiceListConsole v1.1
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| query | created_by optional | created_by Example :
| string | None |
| query | state optional | state Example :
| enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING, STOPPED, STARTING, STOPPING, RESTARTING, TERMINATED, EDITING, DELETING, UNDEPLOYED) | None |
| query | sort optional | sort Example : created_dt:desc
| string | created_dt:desc |
| query | size optional | size Example : 20
| integer | None |
| query | page optional | page Example : 0
| integer | None |
| query | data_ops_service_name optional | data_ops_service_name Example :
| string | None |
| query | data_ops_name optional | data_ops_name Example :
| string | None |
Responses
Example HTTP request
Request path
/v1/data-ops-services
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2024-01-15T10:30:00.000Z",
"data_ops_id": "",
"data_ops_name": "",
"data_ops_service_id": "",
"data_ops_service_name": "",
"description": "",
"modified_by": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"state": "",
"version": ""
}
],
"total_count": ""
}
1.12.2 - 1.1
get /v1/data-ops-services
Description
GetDataOpsServiceListConsole v1.1
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| query | created_by optional | created_by Example :
| string | None |
| query | state optional | state Example :
| enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING, STOPPED, STARTING, STOPPING, RESTARTING, TERMINATED, EDITING, DELETING, UNDEPLOYED) | None |
| query | sort optional | sort Example : created_dt:desc
| string | created_dt:desc |
| query | size optional | size Example : 20
| integer | None |
| query | page optional | page Example : 0
| integer | None |
| query | data_ops_service_name optional | data_ops_service_name Example :
| string | None |
| query | data_ops_name optional | data_ops_name Example :
| string | None |
Responses
Example HTTP request
Request path
/v1/data-ops-services
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2024-01-15T10:30:00.000Z",
"data_ops_id": "",
"data_ops_name": "",
"data_ops_service_id": "",
"data_ops_service_name": "",
"description": "",
"modified_by": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"state": "",
"version": ""
}
],
"total_count": ""
}
1.12.3 - 1.0
get /v1/data-ops-services
Description
GetDataOpsServiceListConsole
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| query | created_by optional | created_by Example :
| string | None |
| query | state optional | state Example :
| enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING, STOPPED, STARTING, STOPPING, RESTARTING, TERMINATED, EDITING, DELETING, UNDEPLOYED) | None |
| query | sort optional | sort Example : created_dt:desc
| string | created_dt:desc |
| query | size optional | size Example : 20
| integer | None |
| query | page optional | page Example : 0
| integer | None |
| query | data_ops_service_name optional | data_ops_service_name Example :
| string | None |
| query | data_ops_name optional | data_ops_name Example :
| string | None |
Responses
Example HTTP request
Request path
/v1/data-ops-services
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2024-01-15T10:30:00.000Z",
"data_ops_id": "",
"data_ops_name": "",
"data_ops_service_id": "",
"data_ops_service_name": "",
"description": "",
"modified_by": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"state": "",
"version": ""
}
],
"total_count": ""
}
1.13 - ShowDataOps
1.13.1 - 1.2
get /v1/data-ops/{data_ops_id}
Description
get dataops detail v1.1
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
Example HTTP request
Request path
/v1/data-ops/{data_ops_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"
Example HTTP response
Response 200
{
"account": {
"account_id": "",
"account_password": ""
},
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2024-01-15T10:30:00.000Z",
"data_ops_id": "",
"data_ops_name": "",
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"is_active_image": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"namespace_name": "",
"node_selector": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
1.13.2 - 1.1
get /v1/data-ops/{data_ops_id}
Description
get dataops detail v1.1
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
Example HTTP request
Request path
/v1/data-ops/{data_ops_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
{
"account": {
"account_id": "",
"account_password": ""
},
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2024-01-15T10:30:00.000Z",
"data_ops_id": "",
"data_ops_name": "",
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"is_active_image": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"namespace_name": "",
"node_selector": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
1.13.3 - 1.0
get /v1/data-ops/{data_ops_id}
Description
get dataops detail
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | DataOpsDetailResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/{data_ops_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2024-01-15T10:30:00.000Z",
"data_ops_id": "",
"data_ops_name": "",
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"is_active_image": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"namespace_name": "",
"node_selector": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
1.14 - ShowDataOpsService
1.14.1 - 1.2
get /v1/data-ops-services/{data_ops_service_id}
Description
get data ops service v1.1
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"
Example HTTP response
Response 200
{
"account": {
"account_id": "",
"account_password": ""
},
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2024-01-15T10:30:00.000Z",
"data_ops_id": "",
"data_ops_name": "",
"data_ops_service_id": "",
"data_ops_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"is_active_image": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"namespace_name": "",
"node_selector": "",
"service_workload": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
1.14.2 - 1.1
get /v1/data-ops-services/{data_ops_service_id}
Description
get data ops service v1.1
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
{
"account": {
"account_id": "",
"account_password": ""
},
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2024-01-15T10:30:00.000Z",
"data_ops_id": "",
"data_ops_name": "",
"data_ops_service_id": "",
"data_ops_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"is_active_image": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"namespace_name": "",
"node_selector": "",
"service_workload": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
1.14.3 - 1.0
get /v1/data-ops-services/{data_ops_service_id}
Description
get data ops service
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2024-01-15T10:30:00.000Z",
"data_ops_id": "",
"data_ops_name": "",
"data_ops_service_id": "",
"data_ops_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"is_active_image": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"namespace_name": "",
"node_selector": "",
"service_workload": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
1.15 - ShowDataOpsServiceSubVersion
1.15.1 - 1.2
get /v1/data-ops-services/data-ops/{data_ops_id}/sub-versions
Description
get data ops sub version
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
Example HTTP request
Request path
/v1/data-ops-services/data-ops/{data_ops_id}/sub-versions
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"
Example HTTP response
Response 200
{
"data_ops_service_count": "",
"versions": {
"apiserver": "",
"dagprocessor": "",
"scheduler": "",
"webserver": "",
"worker": ""
}
}
1.15.2 - 1.1
get /v1/data-ops-services/data-ops/{data_ops_id}/sub-versions
Description
get data ops sub version
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
Example HTTP request
Request path
/v1/data-ops-services/data-ops/{data_ops_id}/sub-versions
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
{
"data_ops_service_count": "",
"versions": {
"scheduler": "",
"webserver": "",
"worker": ""
}
}
1.15.3 - 1.0
get /v1/data-ops-services/data-ops/{data_ops_id}/sub-versions
Description
get data ops sub version
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
Responses
Example HTTP request
Request path
/v1/data-ops-services/data-ops/{data_ops_id}/sub-versions
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
{
"data_ops_service_count": "",
"versions": {
"scheduler": "",
"webserver": "",
"worker": ""
}
}
1.16 - UpdateDataOps
1.16.1 - 1.2
put /v1/data-ops/{data_ops_id}
Description
update dataops v1
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
| body | body required |
| DataOpsUpdateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | DataOpsUpdateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/{data_ops_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"node_selector": ""
}
Example HTTP response
Response 202
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2024-01-15T10:30:00.000Z",
"data_ops_id": "",
"data_ops_name": "",
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"namespace_name": "",
"node_selector": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
1.16.2 - 1.1
put /v1/data-ops/{data_ops_id}
Description
update dataops v1
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
| body | body required |
| DataOpsUpdateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | DataOpsUpdateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/{data_ops_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"node_selector": ""
}
Example HTTP response
Response 202
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2024-01-15T10:30:00.000Z",
"data_ops_id": "",
"data_ops_name": "",
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"namespace_name": "",
"node_selector": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
1.16.3 - 1.0
put /v1/data-ops/{data_ops_id}
Description
update dataops v1
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
| body | body required |
| DataOpsUpdateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | DataOpsUpdateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/{data_ops_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"node_selector": ""
}
Example HTTP response
Response 202
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2024-01-15T10:30:00.000Z",
"data_ops_id": "",
"data_ops_name": "",
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"namespace_name": "",
"node_selector": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
1.17 - UpdateDataOpsService
1.17.1 - 1.2
put /v1/data-ops-services/{data_ops_service_id}
Description
update data ops service
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
| body | body required |
| DataOpsServiceUpdateRequest | |
Responses
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"
Request body
{
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"node_selector": "",
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
},
"worker_type": ""
}
Example HTTP response
Response 202
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2024-01-15T10:30:00.000Z",
"data_ops_id": "",
"data_ops_name": "",
"data_ops_service_id": "",
"data_ops_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"namespace_name": "",
"node_selector": "",
"service_workload": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
1.17.2 - 1.1
put /v1/data-ops-services/{data_ops_service_id}
Description
update data ops service
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
| body | body required |
| DataOpsServiceUpdateRequest | |
Responses
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Request body
{
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"node_selector": "",
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
},
"worker_type": ""
}
Example HTTP response
Response 202
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2024-01-15T10:30:00.000Z",
"data_ops_id": "",
"data_ops_name": "",
"data_ops_service_id": "",
"data_ops_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"namespace_name": "",
"node_selector": "",
"service_workload": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
1.17.3 - 1.0
put /v1/data-ops-services/{data_ops_service_id}
Description
update data ops service
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | Accept optional | Accept Example : application/json
| string | application/json |
| header | Content-Type optional | Content-Type Example : application/json
| string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi
| string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
| string | None |
| body | body required |
| DataOpsServiceUpdateRequest | |
Responses
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Request body
{
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"node_selector": "",
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
},
"worker_type": ""
}
Example HTTP response
Response 202
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2024-01-15T10:30:00.000Z",
"data_ops_id": "",
"data_ops_name": "",
"data_ops_service_id": "",
"data_ops_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"namespace_name": "",
"node_selector": "",
"service_workload": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
2 - Models
2.1 - ClusterResourceCheckResponse
| Name | Description | Schema | Default |
|---|
cpu optional | Example : CPU
| object | CPU |
err_code required | Error code Example :
| string | |
memory optional | Example : Memory
| object | Memory |
result required | Cluster resource check result Example :
| boolean | |
2.2 - DataOpsConsoleResponse
| Name | Description | Schema | Default |
|---|
cluster_id required | cluster_id Example :
| string | |
cluster_name optional | cluster_name Example :
| string | |
cluster_permission optional | cluster_permission Example :
| object | |
cluster_request_failed optional | cluster_request_failed Example : False
| boolean | |
created_by required | created_by Example :
| string | |
created_dt required | created_at Example :
| string (date-time) | |
data_ops_id required | data_ops_id Example :
| string | |
data_ops_name required | data_ops_name Example :
| string | |
image_id required | image_id Example :
| string | |
instance_id required | instance_id Example :
| any of [string, null] | |
is_active_image required | is_active_image Example :
| boolean | |
modified_by required | modified_by Example :
| string | |
modified_dt required | modified_at Example :
| string (date-time) | |
namespace_name required | namespace_name Example :
| string | |
state required | state Example :
| string | |
version required | version Example :
| string | |
2.3 - DataOpsConsoleResponseV1Dot1
| Name | Description | Schema | Default |
|---|
account_id required | account_id Example :
| string | |
cluster_id required | cluster_id Example :
| string | |
cluster_name optional | cluster_name Example :
| string | |
cluster_permission optional | cluster_permission Example :
| object | |
cluster_request_failed optional | cluster_request_failed Example : False
| boolean | |
created_by required | created_by Example :
| string | |
created_dt required | created_at Example :
| string (date-time) | |
data_ops_id required | data_ops_id Example :
| string | |
data_ops_name required | data_ops_name Example :
| string | |
image_id required | image_id Example :
| string | |
instance_id required | instance_id Example :
| any of [string, null] | |
is_active_image required | is_active_image Example :
| boolean | |
modified_by required | modified_by Example :
| string | |
modified_dt required | modified_at Example :
| string (date-time) | |
namespace_name required | namespace_name Example :
| string | |
state required | state Example :
| string | |
version required | version Example :
| string | |
2.4 - DataOpsCreateRequest
| Name | Description | Schema | Default |
|---|
account optional | account Example : {'account_id': '', 'account_password': ''}
| any of [object, null] | |
cluster_id required | cluster_id Example :
| string | |
data_ops_name required | data_ops_name Example : Pattern : ^[a-z][a-z0-9\-]*[a-z0-9]$ Minimum length : 3 Maximum length : 30
| string | |
description optional | description Example :
| any of [string, null] | |
domain required | domain Example : Minimum length : 3 Maximum length : 50
| string | |
dsc_domain optional | dsc_domain Example :
| any of [string, null] | |
host_alias_list required | host_alias_list Example : [{'hostnames': [''], 'ip': ''}]
| array[object] | |
image_id required | image_id Example :
| string | |
ingress_controller_name required | ingress_controller_name Example :
| string | |
instance_id optional | instance_id Example :
| any of [string, null] | |
node_selector optional | node_selector Example :
| any of [string, null] | |
storage_class_name required | storage_class_name Example :
| string | |
tags optional | tags
| array[Tag] | |
2.5 - DataOpsCreateRequestV1Dot2
| Name | Description | Schema | Default |
|---|
account optional | account Example : {'account_id': '', 'account_password': ''}
| any of [object, null] | |
cluster_id required | cluster_id Example :
| string | |
data_ops_name required | data_ops_name Example : Pattern : ^[a-z][a-z0-9\-]*[a-z0-9]$ Minimum length : 3 Maximum length : 30
| string | |
description optional | description Example :
| any of [string, null] | |
domain required | domain Example : Minimum length : 3 Maximum length : 50
| string | |
dsc_domain optional | dsc_domain Example :
| any of [string, null] | |
host_alias_list required | host_alias_list Example : [{'hostnames': [''], 'ip': ''}]
| array[object] | |
image_id required | image_id Example :
| string | |
ingress_controller_name optional | ingress_controller_name Example :
| any of [string, null] | |
instance_id optional | instance_id Example :
| any of [string, null] | |
node_selector optional | node_selector Example :
| any of [string, null] | |
storage_class_name required | storage_class_name Example :
| string | |
tags optional | tags
| array[TagV1Dot2] | |
2.6 - DataOpsDetailResponse
| Name | Description | Schema | Default |
|---|
account optional | account Example : {'account_id': '', 'account_password': ''}
| any of [object, null] | |
cluster_id required | cluster_id Example :
| string | |
cluster_name optional | cluster_name Example :
| string | |
cluster_permission optional | cluster_permission Example :
| any of [object, null] | |
cluster_request_failed optional | cluster_request_failed Example : False
| boolean | |
created_dt required | created_dt Example :
| string (date-time) | |
data_ops_id required | data_ops_id Example :
| string | |
data_ops_name required | data_ops_name Example :
| string | |
description optional | description Example :
| any of [string, null] | |
domain optional | domain Example :
| any of [string, null] | |
host_alias_list optional | host_alias Example : [{'hostnames': [''], 'ip': ''}]
| any of [array[object], null] | |
hosts_file optional | hosts_file Example :
| any of [string, null] | |
http_port optional | http_port Example :
| any of [integer, null] | |
https_port optional | https_port Example :
| any of [integer, null] | |
image_id required | image_id Example :
| string | |
ingress_class_name optional | ingress_class_name Example :
| any of [string, null] | |
instance_id required | instance_id Example :
| any of [string, null] | |
is_active_image optional | is_active_image Example :
| any of [boolean, null] | |
modified_dt required | modified_dt Example :
| string (date-time) | |
namespace_name required | namespace_name Example :
| string | |
node_selector optional | node_selector Example :
| any of [string, null] | |
state required | state Example :
| string | |
storage_class_name required | storage_class_name Example :
| string | |
version required | version Example :
| string | |
web_url optional | web_url Example :
| any of [string, null] | |
2.7 - DataOpsDetailResponseV1Dot1
| Name | Description | Schema | Default |
|---|
account optional | account Example : {'account_id': '', 'account_password': ''}
| any of [object, null] | |
account_id required | account_id Example :
| string | |
cluster_id required | cluster_id Example :
| string | |
cluster_name optional | cluster_name Example :
| string | |
cluster_permission optional | cluster_permission Example :
| any of [object, null] | |
cluster_request_failed optional | cluster_request_failed Example : False
| boolean | |
created_dt required | created_dt Example :
| string (date-time) | |
data_ops_id required | data_ops_id Example :
| string | |
data_ops_name required | data_ops_name Example :
| string | |
description optional | description Example :
| any of [string, null] | |
domain optional | domain Example :
| any of [string, null] | |
host_alias_list optional | host_alias Example : [{'hostnames': [''], 'ip': ''}]
| any of [array[object], null] | |
hosts_file optional | hosts_file Example :
| any of [string, null] | |
http_port optional | http_port Example :
| any of [integer, null] | |
https_port optional | https_port Example :
| any of [integer, null] | |
image_id required | image_id Example :
| string | |
ingress_class_name optional | ingress_class_name Example :
| any of [string, null] | |
instance_id required | instance_id Example :
| any of [string, null] | |
is_active_image optional | is_active_image Example :
| any of [boolean, null] | |
modified_dt required | modified_dt Example :
| string (date-time) | |
namespace_name required | namespace_name Example :
| string | |
node_selector optional | node_selector Example :
| any of [string, null] | |
state required | state Example :
| string | |
storage_class_name required | storage_class_name Example :
| string | |
version required | version Example :
| string | |
web_url optional | web_url Example :
| any of [string, null] | |
2.8 - DataOpsServiceCreateRequest
| Name | Description | Schema | Default |
|---|
account optional | account Example : {'account_id': '', 'account_password': ''}
| any of [object, null] | |
data_ops_id required | data_ops_id Example :
| string | |
data_ops_service_name required | data_ops_service_name Example : Pattern : ^[a-z][a-z0-9\-]*[a-z0-9]$ Minimum length : 3 Maximum length : 30
| string | |
description optional | description Example :
| any of [string, null] | |
domain required | description Example : Minimum length : 3 Maximum length : 50
| string | |
host_alias required | host_alias Example : {'enabled': 'true', 'host_alias_list': [{'hostname': '', 'ip': ''}]}
| object | |
node_selector optional | node_selector Example :
| any of [string, null] | |
service_workload required | service_workload Example : {'scheduler': {'cpu': '', 'memory': '', 'replica': '', 'version': ''}, 'web_server': {'cpu': '', 'memory': '', 'replica': '', 'version': ''}, 'worker': {'cpu': '', 'memory': '', 'replica': '', 'version': ''}}
| object | |
storage_class_name required | storage_class_name Example :
| string | |
tags optional | tags
| array[Tag] | |
worker_type required | worker_type Example :
| string | |
2.9 - DataOpsServiceCreateRequestV1Dot2
| Name | Description | Schema | Default |
|---|
account optional | account Example : {'account_id': '', 'account_password': ''}
| any of [object, null] | |
data_ops_id required | data_ops_id Example :
| string | |
data_ops_service_name required | data_ops_service_name Example : Pattern : ^[a-z][a-z0-9\-]*[a-z0-9]$ Minimum length : 3 Maximum length : 30
| string | |
description optional | description Example :
| any of [string, null] | |
domain required | description Example : Minimum length : 3 Maximum length : 50
| string | |
host_alias required | host_alias Example : {'enabled': 'true', 'host_alias_list': [{'hostname': '', 'ip': ''}]}
| object | |
node_selector optional | node_selector Example :
| any of [string, null] | |
service_workload required | service_workload Example : {'dag_processor': {'cpu': '', 'memory': '', 'replica': '', 'version': ''}, 'scheduler': {'cpu': '', 'memory': '', 'replica': '', 'version': ''}, 'web_server': {'cpu': '', 'memory': '', 'replica': '', 'version': ''}, 'worker': {'cpu': '', 'memory': '', 'replica': '', 'version': ''}}
| object | |
storage_class_name required | storage_class_name Example :
| string | |
tags optional | tags
| array[TagV1Dot2] | |
worker_type required | worker_type Example :
| string | |
2.10 - DataOpsServiceDetailResponse
| Name | Description | Schema | Default |
|---|
account optional | account Example : {'account_id': '', 'account_password': ''}
| any of [object, null] | |
cluster_id required | cluster_id Example :
| string | |
cluster_name optional | cluster_name Example :
| string | |
cluster_permission optional | cluster_permission Example :
| any of [object, null] | |
cluster_request_failed optional | cluster_request_failed Example : False
| boolean | |
created_dt required | created_dt Example :
| string (date-time) | |
data_ops_id required | data_ops_id Example :
| string | |
data_ops_name required | data_ops_name Example :
| string | |
data_ops_service_id required | data_ops_service_id Example :
| string | |
data_ops_service_name required | data_ops_service_name Example :
| string | |
description optional | description Example :
| any of [string, null] | |
domain optional | domain Example :
| any of [string, null] | |
host_alias optional | host_alias Example : {'enabled': 'true', 'host_alias_list': [{'hostname': '', 'ip': ''}]}
| any of [object, null] | |
hosts_file optional | hosts_file Example :
| any of [string, null] | |
http_port optional | http_port Example :
| any of [integer, null] | |
https_port optional | https_port Example :
| any of [integer, null] | |
image_id required | image_id Example :
| string | |
ingress_class_name optional | ingress_class_name Example :
| any of [string, null] | |
instance_id required | instance_id Example :
| any of [string, null] | |
is_active_image optional | is_active_image Example :
| any of [boolean, null] | |
modified_dt required | modified_dt Example :
| string (date-time) | |
namespace_name required | namespace_name Example :
| string | |
node_selector optional | node_selector Example :
| any of [string, null] | |
service_workload optional | service_workload Example :
| any of [object, null] | |
state required | state Example :
| string | |
storage_class_name required | storage_class_name Example :
| string | |
version required | version Example :
| string | |
web_url optional | web_url Example :
| any of [string, null] | |
2.11 - DataOpsServiceDetailResponseV1Dot1
| Name | Description | Schema | Default |
|---|
account optional | account Example : {'account_id': '', 'account_password': ''}
| any of [object, null] | |
account_id required | account_id Example :
| string | |
cluster_id required | cluster_id Example :
| string | |
cluster_name optional | cluster_name Example :
| string | |
cluster_permission optional | cluster_permission Example :
| any of [object, null] | |
cluster_request_failed optional | cluster_request_failed Example : False
| boolean | |
created_dt required | created_dt Example :
| string (date-time) | |
data_ops_id required | data_ops_id Example :
| string | |
data_ops_name required | data_ops_name Example :
| string | |
data_ops_service_id required | data_ops_service_id Example :
| string | |
data_ops_service_name required | data_ops_service_name Example :
| string | |
description optional | description Example :
| any of [string, null] | |
domain optional | domain Example :
| any of [string, null] | |
host_alias optional | host_alias Example : {'enabled': 'true', 'host_alias_list': [{'hostname': '', 'ip': ''}]}
| any of [object, null] | |
hosts_file optional | hosts_file Example :
| any of [string, null] | |
http_port optional | http_port Example :
| any of [integer, null] | |
https_port optional | https_port Example :
| any of [integer, null] | |
image_id required | image_id Example :
| string | |
ingress_class_name optional | ingress_class_name Example :
| any of [string, null] | |
instance_id required | instance_id Example :
| any of [string, null] | |
is_active_image optional | is_active_image Example :
| any of [boolean, null] | |
modified_dt required | modified_dt Example :
| string (date-time) | |
namespace_name required | namespace_name Example :
| string | |
node_selector optional | node_selector Example :
| any of [string, null] | |
service_workload optional | service_workload Example :
| any of [object, null] | |
state required | state Example :
| string | |
storage_class_name required | storage_class_name Example :
| string | |
version required | version Example :
| string | |
web_url optional | web_url Example :
| any of [string, null] | |
2.12 - DataOpsServiceImageResponse
2.13 - DataOpsServiceImageResponseV1Dot2
2.14 - DataOpsServicesConsoleResponse
| Name | Description | Schema | Default |
|---|
cluster_id required | cluster_id Example :
| string | |
cluster_name optional | cluster_name Example :
| string | |
cluster_permission optional | cluster_permission Example :
| any of [object, null] | |
cluster_request_failed optional | cluster_request_failed Example : False
| boolean | |
created_by required | created_by Example :
| string | |
created_dt required | created_at Example :
| string (date-time) | |
data_ops_id required | data_ops_id Example :
| string | |
data_ops_name required | data_ops_name Example :
| string | |
data_ops_service_id required | data_ops_service_id Example :
| string | |
data_ops_service_name required | data_ops_service_name Example :
| string | |
description optional | description Example :
| any of [string, null] | |
modified_by required | modified_by Example :
| string | |
modified_dt required | modified_at Example :
| string (date-time) | |
state required | state Example :
| string | |
version required | version Example :
| string | |
2.15 - DataOpsServicesConsoleResponseV1Dot1
| Name | Description | Schema | Default |
|---|
account_id required | account_id Example :
| string | |
cluster_id required | cluster_id Example :
| string | |
cluster_name optional | cluster_name Example :
| string | |
cluster_permission optional | cluster_permission Example :
| any of [object, null] | |
cluster_request_failed optional | cluster_request_failed Example : False
| boolean | |
created_by required | created_by Example :
| string | |
created_dt required | created_at Example :
| string (date-time) | |
data_ops_id required | data_ops_id Example :
| string | |
data_ops_name required | data_ops_name Example :
| string | |
data_ops_service_id required | data_ops_service_id Example :
| string | |
data_ops_service_name required | data_ops_service_name Example :
| string | |
description optional | description Example :
| any of [string, null] | |
modified_by required | modified_by Example :
| string | |
modified_dt required | modified_at Example :
| string (date-time) | |
state required | state Example :
| string | |
version required | version Example :
| string | |
2.16 - DataOpsServiceSubVersionResponse
| Name | Description | Schema | Default |
|---|
scheduler required | scheduler Example :
| string | |
webserver required | webserver Example :
| string | |
worker required | worker Example :
| string | |
2.17 - DataOpsServiceSubVersionResponseV1Dot2
| Name | Description | Schema | Default |
|---|
apiserver optional | apiserver Example :
| string | |
dagprocessor optional | dag_processor Example :
| string | |
scheduler required | scheduler Example :
| string | |
webserver optional | webserver Example :
| string | |
worker required | worker Example :
| string | |
2.18 - DataOpsServiceUpdateRequest
| Name | Description | Schema | Default |
|---|
description optional | description Example :
| any of [string, null] | |
domain optional | domain Example :
| any of [string, null] | |
[...]
